Bug 170493 - GRUB config is invalid for "Other" OS.
GRUB config is invalid for "Other" OS.
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-10-12 07:49 EDT by Ivo Sarak
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-15 11:07:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2005-10-12 07:49:01 EDT
Description of problem:
Anaconda will create invalid GRUB config for "Other" OS and because of it is not
possible to boot into this Other OS. In my case it is Windows XP and it is
placed on /dev/hda1. FC4 itself is on /dev/sda.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC4 on system where /dev/hda1 has Windows XP installed and /dev/sda
is for FC4;
2. On system BIOS make the /dev/sda as primary boot device;
3. Install the FC4 to /dev/sda and during GRUB configuration change the device
order (under advance settings) and set the /dev/sda first and /dev/hda as second
Actual results:

title Other
        rootnoverify (hd1,0)
        chainloader +1

Expected results:

title Other
        map (hd0,0) (hd1,0)
        map (hd1,0) (hd0,0)
        rootnoverify (hd1,0)
        chainloader +1

Additional info:
Comment 1 Jeremy Katz 2005-10-15 11:07:13 EDT
Unfortunately, the need to do mapping isn't something which can be determined in
an automatic fashion.  For the setup of the vast majority of users, the
configuration we set up is the better one to use.

Note You need to log in before you can comment on or make changes to this bug.